<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_cov.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_cov" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_cov</refname>
    <refpurpose>Compute the covariance matrix.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   c = moc_cov (x)
   c = moc_cov (x,opt)
   c = moc_cov (x,y)
   c = moc_cov (x,y,opt)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
If each row of xand y is an observation, and each column is
a variable, then the (i, j)-th entry of
moc_cov (x, y)} is the covariance between the i-th
variable in x and the j-th variable in y.
<latex>
\begin{eqnarray}
\sigma_{ij} = {1 \over N-1} \sum_{i=1}^N (x_i - \bar{x})(y_i - \bar{y})
\end{eqnarray}
where $\bar{x}$ and $\bar{y}$ are the mean values of $x$ and $y$.
</latex>
If called with one argument, compute moc_cov (x, x)}, the
covariance between the columns of x.
   </para>
   <para>
The argument opt determines the type of normalization to use.
Valid values are
   </para>
   <para>
normalize with N-1, provides the best unbiased estimator of the
covariance [default]
   </para>
   <para>
normalize with N, this provides the second moment around the mean
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1995-2013 Kurt Hornik</member>
   <member>H. Nahrstaeedt - 2014</member>
   </simplelist>
</refsection>
</refentry>
